public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/jira/
Date: Wed, 25 Sep 2019 17:34:08 +0000 (UTC)	[thread overview]
Message-ID: <1569432784.74076efd0c11461da7b26e0a03cd81988140f0d0.mgorny@gentoo> (raw)

commit:     74076efd0c11461da7b26e0a03cd81988140f0d0
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 19 20:06:45 2019 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Sep 25 17:33:04 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=74076efd

dev-python/jira: USE=filemagic → magic, to match global

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
Closes: https://github.com/gentoo/gentoo/pull/12749
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/jira/jira-1.0.14-r2.ebuild | 39 +++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)

diff --git a/dev-python/jira/jira-1.0.14-r2.ebuild b/dev-python/jira/jira-1.0.14-r2.ebuild
new file mode 100644
index 00000000000..321f0c84d12
--- /dev/null
+++ b/dev-python/jira/jira-1.0.14-r2.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_{5,6} )
+inherit distutils-r1
+
+DESCRIPTION="Python library for interacting with the JIRA REST API"
+HOMEPAGE="https://jira.readthedocs.io/en/latest/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="magic jirashell kerberos oauth"
+
+DEPEND="
+	>=dev-python/pbr-3.0[${PYTHON_USEDEP}]
+	dev-python/pytest-runner[${PYTHON_USEDEP}]
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	"
+RDEPEND="
+	dev-python/defusedxml[${PYTHON_USEDEP}]
+	dev-python/requests[${PYTHON_USEDEP}]
+	dev-python/requests-toolbelt[${PYTHON_USEDEP}]
+	dev-python/six[${PYTHON_USEDEP}]
+	magic? ( dev-python/filemagic[${PYTHON_USEDEP}] )
+	jirashell? (
+		dev-python/ipython[${PYTHON_USEDEP}]
+		dev-python/requests-oauthlib[${PYTHON_USEDEP}]
+	)
+	kerberos? ( $(python_gen_cond_dep 'dev-python/requests-kerberos[${PYTHON_USEDEP}]' -3) )
+	oauth? (
+		|| ( dev-python/pycryptodome[${PYTHON_USEDEP}] dev-python/pycrypto[${PYTHON_USEDEP}] )
+		dev-python/requests-oauthlib[${PYTHON_USEDEP}]
+	)
+	"
+
+REQUIRED_USE="kerberos? ( !python_targets_python2_7 )"


             reply	other threads:[~2019-09-25 17:34 UTC|newest]

Thread overview: 16+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-09-25 17:34 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2020-03-27 19:09 [gentoo-commits] repo/gentoo:master commit in: dev-python/jira/ Michał Górny
2020-03-27 19:09 Michał Górny
2019-12-04 17:15 Michał Górny
2019-12-04 17:15 Michał Górny
2019-04-09  3:14 Austin English
2018-05-16 20:42 Denis Dupeyron
2018-03-13 23:56 Brian Dolbec
2017-12-13 23:02 Austin English
2017-05-21 18:24 Denis Dupeyron
2017-05-20  5:39 Denis Dupeyron
2017-05-15  3:47 Zac Medico
2017-04-14 17:56 Zac Medico
2017-04-14 17:52 Zac Medico
2017-01-01  3:19 Mike Gilbert
2016-06-03 23:31 Austin English

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1569432784.74076efd0c11461da7b26e0a03cd81988140f0d0.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox